// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_LGCOUTPUTLOGLEXER_P_H
#define TABLE_LGCOUTPUTLOGLEXER_P_H

class Table_LGCOutputLogLexer
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        EOL_SYMBOL = 1,
        ERROR = 3,
        FRAMES = 5,
        INTEGER = 2,
        LINE = 4,
        WORD = 6,

        ACCEPT_STATE = 24,
        RULE_COUNT = 16,
        STATE_COUNT = 30,
        TERMINAL_COUNT = 7,
        NON_TERMINAL_COUNT = 9,

        GOTO_INDEX_OFFSET = 30,
        GOTO_INFO_OFFSET = 34,
        GOTO_CHECK_OFFSET = 34
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_LGCOUTPUTLOGLEXER_P_H

